Name: 		cogito
Version: 	0.13
Release: 	3
Summary:  	The Cogito Version Control System
License: 	GPL
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/cogito/
Source: 	http://kernel.org/pub/software/scm/cogito/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	git-core >= 0.99.3
BuildArch:	noarch

%description
Cogito is a version control system layered on top of the git tree
history storage system. Note that you can MOSTLY use it in parallel of
other GIT frontends (e.g. StGIT), as well as the Linus' GIT plumbing and
core GIT tools - they only need to keep HEAD in place and follow the
standardized refs/ hierarchy. The exception is that you should stick
with a single toolkit during a merge and mostly stick with Cogito while
your tree is in cg-seek'd state.

%prep
%setup -q

%build

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_libdir}/cogito
%{_libdir}/cogito/*
%doc README COPYING Documentation/*

%changelog
* Mon Aug 15 2005 Chris Wright <chrisw@osdl.org>
- Update Buildroot, Requires and drop Vendor
- use %{_libdir}

* Wed Aug 10 2005 Pavel Roskin <proski@gnu.org> 0.13-1
- Update summary and description
- Make architecture-independent

* Wed Jul 6 2005 Chris Wright <chris@osdl.org> 0.12-1
- update spec file

* Thu Jun 9 2005 Chris Wright <chrisw@osdl.org> 0.11.3-1
- Add openssl patch from Dan Holmsand <holmsand@gmail.com>
- Add cg-Xlib patch to fix showdate output
- Update %files with changes inspired by Neil Horman <nhorman@redhat.com>

* Mon May 9 2005 H. Peter Anvin <hpa@zytor.com> 0.10-1
- New upstream revision
- Rename spec file to cogito.spec

* Wed Apr 27 2005 Terje Rosten <terje.rosten@ntnu.no> 0.8-2
- Doc files
- Use %%{_prefix} macro
- Rename spec file
- Drop -n option to %%setup macro

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.8-1
- Update to cogito, rename package, move to /usr/bin, update prereqs

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.7-1
- Update to 0.7

* Thu Apr 21 2005 Chris Wright <chrisw@osdl.org> 0.6.3-1
- Initial rpm build
